import { UmbLitElement } from '../../../lit-element/index.js';
declare const UmbInputCultureSelectElement_base: (new (...args: any[]) => import("@umbraco-ui/uui-base").UUIFormControlMixinElement<FormDataEntryValue | FormData>) & typeof UmbLitElement;
export declare class UmbInputCultureSelectElement extends UmbInputCultureSelectElement_base {
    #private;
    /**
     * Disables the input
     * @type {boolean}
     * @attr
     * @default false
     */
    disabled: boolean;
    /**
     * Disables the input
     * @type {boolean}
     * @attr
     * @default false
     */
    readonly: boolean;
    private _cultures;
    private _search;
    selectedCultureName?: string;
    protected getFormElement(): undefined;
    protected firstUpdated(): Promise<void>;
    render(): import("lit-html").TemplateResult<1>;
}
export default UmbInputCultureSelectElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-culture-select': UmbInputCultureSelectElement;
    }
}
